<?php
	$HTML = new HTML();
	$HTML->setHTMLTitle("Spalsh");
	$HTML->importHTML("style/viewerWelcomeSite/default.html");

	$IMAGES = array();
	if ($handle = opendir('./data/viewerWelcomeImages')) 
	{
		while (false !== ($entry = readdir($handle))) 
		{
			if ($entry != "." && $entry != "..") 
			{
				$IMAGES = array_merge($IMAGES, array("./data/viewerWelcomeImages/".$entry));
			}
		}
	
		closedir($handle);
	}

	shuffle($IMAGES);

	$HTML->importSeitenInhalt("pages/HTML/viewerWelcomeImages.html");

	$HTML->ReplaceSeitenInhalt("%%JSONIMAGEARRAY%%", json_encode($IMAGES)); 
	$HTML->ReplaceSeitenInhalt("%%GRIDNAME%%", $RUNTIME['GRID']['NAME']); 
	$HTML->ReplaceSeitenInhalt("%%SHOWNEWS%%", $RUNTIME['GRID']['MAIN_NEWS']); 
	

	$HTML->ReplaceSeitenInhalt("%%SHOWSTATS%%", "Registrierte User: ".$RUNTIME['OPENSIM']->getUserCount()."<br>Regionen: ".$RUNTIME['OPENSIM']->getRegionCount()."<br>Aktuell Online: ".$RUNTIME['OPENSIM']->getOnlineCount()); 


	$HTML->build();
	echo $HTML->ausgabe();
?>